complexType "ResetFrequency"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | periodMultiplier, period, weeklyRollConvention?
</...>

Content Model Elements (3):

  period (defined in Frequency complexType), periodMultiplier (defined in Frequency complexType), | weeklyRollConvention

All Direct / Indirect Based Elements (2):

  resetFrequency (in interestLegResetDates), | resetFrequency (in resetDates)

Known Usage Locations

- As direct type of elements (2):

  resetFrequency (in interestLegResetDates), | resetFrequency (in resetDates)

Annotation
A type defining the reset frequency. In the case of a weekly reset, also specifies the day of the week that the reset occurs. If the reset frequency is greater than the calculation period frequency the this implies that more or more reset dates is established for each calculation period and some form of rate averaginhg is applicable. The specific averaging method of calculation is specified in FloatingRateCalculation. In case the reset frequency is of value T (term), the period is defined by the swap\swapStream\calculationPerioDates\effectiveDate and the swap\swapStream\calculationPerioDates\terminationDate.
Type Definition Detail

Type Derivation Tree Frequency (extension) ResetFrequency

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="ResetFrequency"> <xsd:complexContent> <xsd:extension base="Frequency"> <xsd:sequence> <xsd:element minOccurs="0" name="weeklyRollConvention" type="WeeklyRollConventionEnum"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/3)
weeklyRollConvention

  Type: | WeeklyRollConventionEnum, simple content

  The day of the week on which a weekly reset date occurs. This element must be included if the reset frequency is defined as weekly and not otherwise.
  Simple Content

  ("MON" | "TUE" | "WED" | "THU" | "FRI" | "SAT" | "SUN") | "TBILL"

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="weeklyRollConvention" type="WeeklyRollConventionEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.